Bug 78821 - Old games package with new libs tries to use /var/games/...
Old games package with new libs tries to use /var/games/...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
: Triaged
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2002-12-01 11:10 EST by Göran Uddeborg
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 14:15:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2002-12-01 11:10:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Combining an old version of gnome-games, such as 1.2.0-9, with a system with
recent gnome libraries fails to find the high-score lists.  It looks in
/var/games rather than /var/lib/games.

Version-Release number of selected component (if applicable): 1.4.1.2.90-24

How reproducible:
Always

Steps to Reproduce:
1. Upgrade an old system with recent gnome-libs
   uebn> rpm -q gnome-libs gnome-games
   gnome-libs-1.4.1.2.90-24
   gnome-games-1.2.0-9
2. Run some game.


Actual Results:  At the end, there is a message:

/var/games/gnotski.1.scores: No such file or directory


Additional info:

This is obviously similar to bug 64908.  The difference is that this old package
uses libgnome.so.32 from the package gnome-libs rather than libgnome-2.so from
the package libgnome.  And libgnome.so.32 still refers to /var/games.

Either the same fix that was done to libgnome has to be done to gnome-libs too.
 Or, alternatively, there should be RPM package attributes to protect from this
combination.  Something like "contflicts: gnome-games < 2.0" (or is it "< 1.4"?)
in gnome-libs.
Comment 1 Havoc Pennington 2004-05-25 14:15:45 EDT
This would be valid to fix, but in practice it won't make it to the
top of the priority queue so I'm going to clear it off the bug list
for now.

Note You need to log in before you can comment on or make changes to this bug.